Package org.python.modules.time

# Class Time

java.lang.Object
org.python.modules.time.Time

All Implemented Interfaces:
  `ClassDictInit`

public class Time extends Object implements ClassDictInit

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PyString`
`__doc__`
`static final int`
`accept2dyear`
`static int`
`altzone`
`static int`
`daylight`
`static int`
`timezone`
`static PyTuple`
`tzname`

## Constructor Summary

Constructors
Constructor
Description
`Time()`

## Method Summary

Modifier and Type
Method
Description
`static PyString`
`asctime()`
`static PyString`
`asctime(PyObject obj)`
`static void`
`classDictInit(PyObject dict)`
`static double`
`clock()`
`static PyString`
`ctime()`
`static PyString`
`ctime(PyObject secs)`
`static PyTuple`
`gmtime()`
`static PyTuple`
`gmtime(PyObject arg)`
`static String`
`locale_asctime(PyTuple tup)`
`static PyTuple`
`localtime()`
`static PyTuple`
`localtime(PyObject secs)`
`static double`
`mktime(PyTuple tup)`
`static double`
`parseTimeDoubleArg(PyObject arg)`
Convert a time argument that may be an optional float or None value to a double.
`static void`
`sleep(double secs)`
`static PyString`
`strftime(String format)`
`static PyString`
`strftime(String format, PyTuple tup)`
`static PyTuple`
`strptime(String data_string)`
`static PyTuple`
`strptime(String data_string, String format)`
`static double`
`time()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final PyString __doc__

### timezone

public static int timezone

### altzone

public static int altzone

### daylight

public static int daylight

### tzname

public static PyTuple tzname

### accept2dyear

public static final int accept2dyear

See Also:
  - Constant Field Values

## Constructor Details

### Time

public Time()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)

### time

public static double time()

### clock

public static double clock()

Returns:
  - the seconds elapsed since the first call to this function

### mktime

public static double mktime(PyTuple tup)

### parseTimeDoubleArg

public static double parseTimeDoubleArg(PyObject arg)
Convert a time argument that may be an optional float or None value to a double. Throws a TypeError on failure.

Parameters:
  `arg` - a PyObject number of None
Returns:
  a double value

### localtime

public static PyTuple localtime()

### localtime

public static PyTuple localtime(PyObject secs)

### gmtime

public static PyTuple gmtime()

### gmtime

public static PyTuple gmtime(PyObject arg)

### ctime

public static PyString ctime()

### ctime

public static PyString ctime(PyObject secs)

### asctime

public static PyString asctime()

### asctime

public static PyString asctime(PyObject obj)

### locale_asctime

public static String locale_asctime(PyTuple tup)

### sleep

public static void sleep(double secs)

### strftime

public static PyString strftime(String format)

### strftime

public static PyString strftime(String format, PyTuple tup)

### strptime

public static PyTuple strptime(String data_string)

### strptime

public static PyTuple strptime(String data_string, String format)